Bug 1130801 - [abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000020 [NEEDINFO]
Summary: [abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000020
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ec92c92c32a7d49570c198b62ba...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-17 21:49 UTC by Fernando Gonzalez
Modified: 2014-12-10 15:02 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-10 15:02:11 UTC
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (65.58 KB, text/plain)
2014-08-17 21:49 UTC, Fernando Gonzalez
no flags Details

Description Fernando Gonzalez 2014-08-17 21:49:24 UTC
Additional info:
reporter:       libreport-2.2.3
BUG: unable to handle kernel NULL pointer dereference at 0000000000000020
IP: [<ffffffff816e023b>] klist_put+0x1b/0x90
PGD 0 
Oops: 0000 [#1] SMP 
Modules linked in: fuse ccm ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables bnep ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core btusb bluetooth videodev media arc4 x86_pkg_temp_thermal ath9k coretemp snd_hda_codec_hdmi kvm_intel ath9k_common ath9k_hw snd_hda_codec_conexant snd_hda_codec_generic snd_hda_intel snd_hda_controller kvm ath snd_hda_codec snd_hwdep iTCO_wdt crct10dif_pclmul crc32_pclmul mac80211 snd_seq crc32c_intel ghash_clmulni_intel cfg80211 joydev toshiba_acpi snd_seq_device mei_me iTCO_vendor_support mei snd_pcm snd_timer snd soundcore sparse_keymap lpc_ich i2c_i801 microcode rfkill mfd_core serio_raw shpchp wmi toshiba_bluetooth binfmt_misc i915 i2c_algo_bit drm_kms_helper drm ata_generic i2c_core atl1c pata_acpi video
CPU: 3 PID: 4140 Comm: systemd-sleep Not tainted 3.15.9-200.fc20.x86_64 #1
Hardware name: TOSHIBA Satellite L745/Base Board Product Name, BIOS 2.60 06/26/2012
task: ffff88013bc9cf00 ti: ffff880096570000 task.ti: ffff880096570000
RIP: 0010:[<ffffffff816e023b>]  [<ffffffff816e023b>] klist_put+0x1b/0x90
RSP: 0018:ffff880096573cd8  EFLAGS: 00010246
RAX: ffff8801487b5180 RBX: 0000000000000000 RCX: 0000000180240016
RDX: 0000000180240017 RSI: 0000000000000001 RDI: 0000000000000000
RBP: ffff880096573cf8 R08: ffff8801494cfa80 R09: 0000000180240016
R10: ffffffff812603c6 R11: ffffea00052533c0 R12: ffff8801487b51a8
R13: 0000000000000004 R14: 0000000000000001 R15: 0000000000000000
FS:  00007ffe9ff0e780(0000) GS:ffff88014fac0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000020 CR3: 0000000072e0f000 CR4: 00000000000407e0
Stack:
 ffff88008b6bdc00 ffff88008b6bdc00 0000000000000004 ffff8801497a29f8
 ffff880096573d08 ffffffff816e02be ffff880096573d38 ffffffff8145a218
 ffff88008b6bdc00 ffff880149550828 0000000000000004 0000000000000000
Call Trace:
 [<ffffffff816e02be>] klist_del+0xe/0x10
 [<ffffffff8145a218>] device_del+0x58/0x1c0
 [<ffffffff8145a39e>] device_unregister+0x1e/0x60
 [<ffffffff8154e591>] power_supply_unregister+0x61/0x70
 [<ffffffff813fad54>] sysfs_remove_battery+0x3c/0x54
 [<ffffffff813fb6b8>] battery_notify+0x2f/0x3f
 [<ffffffff816faa3c>] notifier_call_chain+0x4c/0x70
 [<ffffffff810b0e5d>] __blocking_notifier_call_chain+0x4d/0x70
 [<ffffffff810b0e96>] blocking_notifier_call_chain+0x16/0x20
 [<ffffffff810d789a>] pm_notifier_call_chain+0x1a/0x40
 [<ffffffff810d8908>] pm_suspend+0x198/0x260
 [<ffffffff810d7759>] state_store+0x79/0xf0
 [<ffffffff8134f55f>] kobj_attr_store+0xf/0x20
 [<ffffffff81262c1d>] sysfs_kf_write+0x3d/0x50
 [<ffffffff812623e0>] kernfs_fop_write+0xe0/0x160
 [<ffffffff811e67da>] vfs_write+0xba/0x1e0
 [<ffffffff811e7395>] SyS_write+0x55/0xd0
 [<ffffffff816ffae9>] system_call_fastpath+0x16/0x1b
Code: 48 89 e5 e8 c1 23 01 00 5d c3 66 0f 1f 44 00 00 55 48 89 e5 41 56 41 89 f6 41 55 41 54 49 89 fc 53 48 8b 1f 48 83 e3 fe 48 89 df <4c> 8b 6b 20 e8 4c 65 01 00 45 84 f6 75 37 49 8d 7c 24 18 f0 41 
RIP  [<ffffffff816e023b>] klist_put+0x1b/0x90
 RSP <ffff880096573cd8>
CR2: 0000000000000020

Comment 1 Fernando Gonzalez 2014-08-17 21:49:29 UTC
Created attachment 927556 [details]
File: dmesg

Comment 2 Justin M. Forbes 2014-11-13 16:03:01 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2014-12-10 15:02:11 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.